## mplayer-dmo 1.0.rc2svn20100104

=== Makefile ===
# MPlayer Makefile
#
# copyright (c) 2008 Diego Biurrun
# Rewritten entirely from a set of Makefiles written by Arpi and many others.
#
# This file is part of MPlayer.
#
# MPlayer is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MPlayer is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with MPlayer; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

include config.mak


###### variable declarations #######

SRCS_AUDIO_INPUT-$(ALSA1X)           += stream/ai_alsa1x.c
SRCS_AUDIO_INPUT-$(ALSA9)            += stream/ai_alsa.c
SRCS_AUDIO_INPUT-$(OSS)              += stream/ai_oss.c
SRCS_COMMON-$(AUDIO_INPUT)           += $(SRCS_AUDIO_INPUT-yes)
SRCS_COMMON-$(BITMAP_FONT)           += libvo/font_load.c
SRCS_COMMON-$(CDDA)                  += stream/stream_cdda.c \
                                        stream/cdinfo.c
SRCS_COMMON-$(CDDB)                  += stream/stream_cddb.c
SRCS_COMMON-$(DVBIN)                 += stream/dvb_tune.c \
                                        stream/stream_dvb.c
SRCS_COMMON-$(DVDNAV)                += stream/stream_dvdnav.c
SRCS_COMMON-$(DVDNAV_INTERNAL)       += libdvdnav/dvdnav.c \
                                        libdvdnav/highlight.c \
                                        libdvdnav/navigation.c \
                                        libdvdnav/read_cache.c \
                                        libdvdnav/remap.c \
                                        libdvdnav/searching.c \
                                        libdvdnav/settings.c \
                                        libdvdnav/vm/decoder.c \
                                        libdvdnav/vm/vm.c \
                                        libdvdnav/vm/vmcmd.c \

SRCS_COMMON-$(DVDREAD)               += stream/stream_dvd.c \
                                        stream/stream_dvd_common.c
SRCS_COMMON-$(DVDREAD_INTERNAL)      += libdvdread4/bitreader.c \
                                        libdvdread4/dvd_input.c \
                                        libdvdread4/dvd_reader.c \
                                        libdvdread4/dvd_udf.c \
                                        libdvdread4/ifo_print.c \
                                        libdvdread4/ifo_read.c \
                                        libdvdread4/md5.c \
                                        libdvdread4/nav_print.c \
                                        libdvdread4/nav_read.c \

SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
SRCS_COMMON-$(FAAD_INTERNAL)         += libfaad2/bits.c \
                                        libfaad2/cfft.c \
                                        libfaad2/common.c \
                                        libfaad2/decoder.c \
                                        libfaad2/drc.c \
                                        libfaad2/drm_dec.c \
                                        libfaad2/error.c \
                                        libfaad2/filtbank.c \
                                        libfaad2/hcr.c \
                                        libfaad2/huffman.c \
                                        libfaad2/ic_predict.c \
                                        libfaad2/is.c \
                                        libfaad2/lt_predict.c \
                                        libfaad2/mdct.c \
                                        libfaad2/mp4.c \
                                        libfaad2/ms.c \
                                        libfaad2/output.c \
                                        libfaad2/pns.c \
                                        libfaad2/ps_dec.c \
                                        libfaad2/ps_syntax.c  \
                                        libfaad2/pulse.c \
                                        libfaad2/rvlc.c \
                                        libfaad2/sbr_dct.c \
                                        libfaad2/sbr_dec.c \
                                        libfaad2/sbr_e_nf.c \
                                        libfaad2/sbr_fbt.c \
                                        libfaad2/sbr_hfadj.c \
                                        libfaad2/sbr_hfgen.c \
                                        libfaad2/sbr_huff.c \
                                        libfaad2/sbr_qmf.c \
                                        libfaad2/sbr_syntax.c \
                                        libfaad2/sbr_tf_grid.c \
                                        libfaad2/specrec.c \
                                        libfaad2/ssr.c \
                                        libfaad2/ssr_fb.c \
                                        libfaad2/ssr_ipqf.c \
                                        libfaad2/syntax.c \
                                        libfaad2/tns.c \

SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c
SRCS_COMMON-$(FREETYPE)              += libvo/font_load_ft.c
SRCS_COMMON-$(FTP)                   += stream/stream_ftp.c
SRCS_COMMON-$(GIF)                   += libmpdemux/demux_gif.c
SRCS_COMMON-$(HAVE_POSIX_SELECT)     += libmpcodecs/vf_bmovl.c
SRCS_COMMON-$(HAVE_SYS_MMAN_H)       += libaf/af_export.c osdep/mmap_anon.c
SRCS_COMMON-$(JPEG)                  += libmpcodecs/vd_ijpg.c
SRCS_COMMON-$(LADSPA)                += libaf/af_ladspa.c
SRCS_COMMON-$(LIBA52)                += libmpcodecs/ad_hwac3.c \
                                        libmpcodecs/ad_liba52.c
SRCS_COMMON-$(LIBA52_INTERNAL)       += liba52/crc.c \
                                        liba52/resample.c \
                                        liba52/bit_allocate.c \
                                        liba52/bitstream.c \
                                        liba52/downmix.c \
                                        liba52/imdct.c \
                                        liba52/parse.c \

SRCS_COMMON-$(LIBASS)                += libmpcodecs/vf_ass.c \
                                        libass/ass_mp.c \

SRCS_COMMON-$(LIBASS_INTERNAL)       += libass/ass.c \
                                        libass/ass_bitmap.c \
                                        libass/ass_cache.c \
                                        libass/ass_font.c \
                                        libass/ass_fontconfig.c \
                                        libass/ass_library.c \
                                        libass/ass_render.c \
                                        libass/ass_utils.c \

SRCS_COMMON-$(LIBAVCODEC)            += av_opts.c \
                                        libaf/af_lavcresample.c \
                                        libmpcodecs/ad_ffmpeg.c \
                                        libmpcodecs/vd_ffmpeg.c \
                                        libmpcodecs/vf_lavc.c \
                                        libmpcodecs/vf_lavcdeint.c \
                                        libmpcodecs/vf_screenshot.c \

# These filters use private headers and do not work with shared libavcodec.
SRCS_COMMON-$(LIBAVCODEC_A)          += libaf/af_lavcac3enc.c \
                                        libmpcodecs/vf_fspp.c \
                                        libmpcodecs/vf_geq.c \
                                        libmpcodecs/vf_mcdeint.c \
                                        libmpcodecs/vf_qp.c \
                                        libmpcodecs/vf_spp.c \
                                        libmpcodecs/vf_uspp.c \

SRCS_COMMON-$(LIBAVFORMAT)           += libmpdemux/demux_lavf.c \
                                        stream/stream_ffmpeg.c \

SRCS_COMMON-$(LIBBS2B)               += libaf/af_bs2b.c
SRCS_COMMON-$(LIBDCA)                += libmpcodecs/ad_libdca.c
SRCS_COMMON-$(LIBDV)                 += libmpcodecs/ad_libdv.c \
                                        libmpcodecs/vd_libdv.c \
                                        libmpdemux/demux_rawdv.c
SRCS_COMMON-$(LIBDVDCSS_INTERNAL)    += libdvdcss/css.c \
                                        libdvdcss/device.c \
                                        libdvdcss/error.c \
                                        libdvdcss/ioctl.c \
                                        libdvdcss/libdvdcss.c \

SRCS_COMMON-$(LIBMAD)                += libmpcodecs/ad_libmad.c

SRCS_LIBMPEG2-$(ARCH_ALPHA)          += libmpeg2/idct_alpha.c \
                                        libmpeg2/motion_comp_alpha.c
SRCS_LIBMPEG2-$(ARCH_ARM)            += libmpeg2/motion_comp_arm.c \
                                        libmpeg2/motion_comp_arm_s.S
SRCS_LIBMPEG2-$(HAVE_ALTIVEC)        += libmpeg2/idct_altivec.c \
                                        libmpeg2/motion_comp_altivec.c
SRCS_LIBMPEG2-$(HAVE_MMX)            += libmpeg2/idct_mmx.c \
                                        libmpeg2/motion_comp_mmx.c
SRCS_LIBMPEG2-$(HAVE_VIS)            += libmpeg2/motion_comp_vis.c
SRCS_COMMON-$(LIBMPEG2)              += libmpcodecs/vd_libmpeg2.c \
                                        libmpeg2/alloc.c \
                                        libmpeg2/cpu_accel.c\
                                        libmpeg2/cpu_state.c \
                                        libmpeg2/decode.c \
                                        libmpeg2/header.c \
                                        libmpeg2/idct.c \
                                        libmpeg2/motion_comp.c \
                                        libmpeg2/slice.c \
                                        $(SRCS_LIBMPEG2-yes)

SRCS_COMMON-$(LIBNEMESI)             += libmpdemux/demux_nemesi.c \
                                        stream/stream_nemesi.c
SRCS_COMMON-$(LIBNUT)                += libmpdemux/demux_nut.c
SRCS_COMMON-$(LIBPOSTPROC)           += libmpcodecs/vf_pp.c
SRCS_COMMON-$(LIBSMBCLIENT)          += stream/stream_smb.c
SRCS_COMMON-$(LIBTHEORA)             += libmpcodecs/vd_theora.c
SRCS_COMMON-$(LIVE555)               += libmpdemux/demux_rtp.cpp \
                                        libmpdemux/demux_rtp_codec.cpp \
                                        stream/stream_live555.c
SRCS_COMMON-$(MACOSX_FINDER)         += osdep/macosx_finder_args.c
SRCS_COMMON-$(MNG)                   += libmpdemux/demux_mng.c

SRCS_MP3LIB-X86-$(HAVE_AMD3DNOW)     += mp3lib/dct36_3dnow.c \
                                        mp3lib/dct64_3dnow.c
SRCS_MP3LIB-X86-$(HAVE_AMD3DNOWEXT)  += mp3lib/dct36_k7.c \
                                        mp3lib/dct64_k7.c
SRCS_MP3LIB-X86-$(HAVE_MMX)          += mp3lib/dct64_mmx.c
SRCS_MP3LIB-$(ARCH_X86_32)           += mp3lib/decode_i586.c \
                                        $(SRCS_MP3LIB-X86-yes)
SRCS_MP3LIB-$(HAVE_ALTIVEC)          += mp3lib/dct64_altivec.c
SRCS_MP3LIB-$(HAVE_MMX)              += mp3lib/decode_mmx.c
SRCS_MP3LIB-$(HAVE_SSE)              += mp3lib/dct64_sse.c
SRCS_COMMON-$(MP3LIB)                += libmpcodecs/ad_mp3lib.c mp3lib/sr1.c \
                                        $(SRCS_MP3LIB-yes)

SRCS_COMMON-$(MUSEPACK)              += libmpcodecs/ad_mpc.c \
                                        libmpdemux/demux_mpc.c
SRCS_COMMON-$(NATIVE_RTSP)           += stream/stream_rtsp.c \
                                        stream/freesdp/common.c \
                                        stream/freesdp/errorlist.c \
                                        stream/freesdp/parser.c \
                                        stream/librtsp/rtsp.c \
                                        stream/librtsp/rtsp_rtp.c \
                                        stream/librtsp/rtsp_session.c \

## mplayer-dmo 1.4.0~20210304.svn38299

=== Makefile ===
# MPlayer Makefile
#
# copyright (c) 2008 Diego Biurrun
# Rewritten entirely from a set of Makefiles written by Arpi and many others.
#
# This file is part of MPlayer.
#
# MPlayer is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MPlayer is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with MPlayer; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

include config.mak

###### variable declarations #######

# local fallbacks for missing operating system features
# the fallback for gettimeofday should actually no longet be needed
#OS_FEATURE-$(GETTIMEOFDAY)           += osdep/gettimeofday.c
OS_FEATURE-$(GLOB_WIN)               += osdep/glob-win.c
OS_FEATURE-$(MMAP)                   += osdep/mmap-os2.c
OS_FEATURE-$(SETENV)                 += osdep/setenv.c
OS_FEATURE-$(SHMEM)                  += osdep/shmem.c
OS_FEATURE-$(STRSEP)                 += osdep/strsep.c
OS_FEATURE-$(VSSCANF)                += osdep/vsscanf.c

# conditional source declarations
SRCS_AUDIO_INPUT-$(ALSA)             += stream/ai_alsa.c
SRCS_AUDIO_INPUT-$(OSS)              += stream/ai_oss.c
SRCS_COMMON-$(AUDIO_INPUT)           += $(SRCS_AUDIO_INPUT-yes)
SRCS_COMMON-$(BITMAP_FONT)           += sub/font_load.c
SRCS_COMMON-$(CDDA)                  += stream/stream_cdda.c            \
                                        stream/cdinfo.c
SRCS_COMMON-$(CDDB)                  += stream/stream_cddb.c
SRCS_COMMON-$(DVBIN)                 += stream/dvb_tune.c               \
                                        stream/stream_dvb.c
SRCS_COMMON-$(DVDNAV)                += stream/stream_dvdnav.c

SRCS_COMMON-$(DVDREAD)               += stream/stream_dvd.c             \
                                        stream/stream_dvd_common.c

SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c
SRCS_COMMON-$(FFMPEG)                += av_helpers.c                    \
                                        av_opts.c                       \
                                        libaf/af_lavcac3enc.c           \
                                        libaf/af_lavcresample.c         \
                                        libmpcodecs/ad_ffmpeg.c         \
                                        libmpcodecs/ad_spdif.c          \
                                        libmpcodecs/vd_ffmpeg.c         \
                                        libmpcodecs/vf_geq.c            \
                                        libmpcodecs/vf_lavc.c           \
                                        libmpcodecs/vf_lavcdeint.c      \
                                        libmpcodecs/vf_screenshot.c     \
                                        libmpdemux/demux_lavf.c         \
                                        stream/stream_ffmpeg.c          \
                                        sub/av_sub.c                    \

SRCS_COMMON-$(CONFIG_VF_LAVFI)      +=  libmpcodecs/vf_lavfi.c

# These filters use private headers and do not work with shared FFmpeg.
SRCS_COMMON-$(FFMPEG_A)              += libmpcodecs/vf_fspp.c           \
                                        libmpcodecs/vf_qp.c             \
                                        libmpcodecs/vf_spp.c            \
                                        libmpcodecs/vf_uspp.c           \

SRCS_COMMON-$(FREETYPE)              += sub/font_load_ft.c
SRCS_COMMON-$(FTP)                   += stream/stream_ftp.c
SRCS_COMMON-$(GIF)                   += libmpdemux/demux_gif.c
SRCS_COMMON-$(HAVE_POSIX_SELECT)     += libmpcodecs/vf_bmovl.c
SRCS_COMMON-$(HAVE_SYS_MMAN_H)       += libaf/af_export.c osdep/mmap_anon.c
SRCS_COMMON-$(JPEG)                  += libmpcodecs/vd_ijpg.c
SRCS_COMMON-$(LADSPA)                += libaf/af_ladspa.c
SRCS_COMMON-$(LIBA52)                += libmpcodecs/ad_liba52.c
SRCS_COMMON-$(LIBASS)                += libmpcodecs/vf_ass.c            \
                                        sub/ass_mp.c                    \
                                        sub/subassconvert.c             \

SRCS_COMMON-$(LIBASS_INTERNAL)       += libass/ass.c                    \
                                        libass/ass_bitmap.c             \
                                        libass/ass_cache.c              \
                                        libass/ass_drawing.c            \
                                        libass/ass_font.c               \
                                        libass/ass_fontconfig.c         \
                                        libass/ass_library.c            \
                                        libass/ass_parse.c              \
                                        libass/ass_render.c             \
                                        libass/ass_render_api.c         \
                                        libass/ass_shaper.c             \
                                        libass/ass_strtod.c             \
                                        libass/ass_utils.c              \

SRCS_COMMON-$(LIBBLURAY)             += stream/stream_bluray.c
SRCS_COMMON-$(LIBBS2B)               += libaf/af_bs2b.c
SRCS_COMMON-$(LIBDCA)                += libmpcodecs/ad_libdca.c
SRCS_COMMON-$(LIBDV)                 += libmpcodecs/ad_libdv.c          \
                                        libmpcodecs/vd_libdv.c          \
                                        libmpdemux/demux_rawdv.c

SRCS_COMMON-$(LIBMAD)                += libmpcodecs/ad_libmad.c

SRCS_COMMON-$(LIBMPEG2)              += libmpcodecs/vd_libmpeg2.c
SRCS_LIBMPEG2-INTERNAL-$(ARCH_ALPHA) += libmpeg2/idct_alpha.c           \
                                        libmpeg2/motion_comp_alpha.c
SRCS_LIBMPEG2-INTERNAL-$(ARCH_ARM)   += libmpeg2/motion_comp_arm.c      \
                                        libmpeg2/motion_comp_arm_s.S
SRCS_LIBMPEG2-INTERNAL-$(HAVE_ALTIVEC) += libmpeg2/idct_altivec.c       \
                                        libmpeg2/motion_comp_altivec.c
SRCS_LIBMPEG2-INTERNAL-$(HAVE_MMX)   += libmpeg2/idct_mmx.c             \
                                        libmpeg2/motion_comp_mmx.c
SRCS_LIBMPEG2-INTERNAL-$(HAVE_VIS)   += libmpeg2/motion_comp_vis.c
SRCS_COMMON-$(LIBMPEG2_INTERNAL)     += libmpeg2/alloc.c                \
                                        libmpeg2/cpu_accel.c            \
                                        libmpeg2/cpu_state.c            \
                                        libmpeg2/decode.c               \
                                        libmpeg2/header.c               \
                                        libmpeg2/idct.c                 \
                                        libmpeg2/motion_comp.c          \
                                        libmpeg2/slice.c                \
                                        $(SRCS_LIBMPEG2-INTERNAL-yes)

SRCS_COMMON-$(LIBNEMESI)             += libmpdemux/demux_nemesi.c       \
                                        stream/stream_nemesi.c
SRCS_COMMON-$(LIBNUT)                += libmpdemux/demux_nut.c
SRCS_COMMON-$(LIBSMBCLIENT)          += stream/stream_smb.c
SRCS_COMMON-$(LIBTHEORA)             += libmpcodecs/vd_theora.c
SRCS_COMMON-$(LIVE555)               += libmpdemux/demux_rtp.cpp        \
                                        libmpdemux/demux_rtp_codec.cpp  \
                                        stream/stream_live555.c
SRCS_COMMON-$(MACOSX_FINDER)         += osdep/macosx_finder_args.c
SRCS_COMMON-$(MNG)                   += libmpdemux/demux_mng.c
SRCS_COMMON-$(MPG123)                += libmpcodecs/ad_mpg123.c

SRCS_COMMON-$(MUSEPACK)              += libmpcodecs/ad_mpc.c            \
                                        libmpdemux/demux_mpc.c
SRCS_COMMON-$(NATIVE_RTSP)           += stream/stream_rtsp.c            \
                                        stream/freesdp/common.c         \
                                        stream/freesdp/errorlist.c      \
                                        stream/freesdp/parser.c         \
                                        stream/librtsp/rtsp.c           \
                                        stream/librtsp/rtsp_rtp.c       \
                                        stream/librtsp/rtsp_session.c   \

SRCS_COMMON-$(NETWORKING)            += stream/stream_netstream.c       \
                                        stream/asf_mmst_streaming.c     \
                                        stream/asf_streaming.c          \
                                        stream/cookies.c                \
                                        stream/http.c                   \
                                        stream/network.c                \
                                        stream/pnm.c                    \
                                        stream/rtp.c                    \
                                        stream/udp.c                    \
                                        stream/tcp.c                    \
                                        stream/stream_rtp.c             \
                                        stream/stream_udp.c             \
                                        stream/librtsp/rtsp.c           \
                                        stream/realrtsp/asmrp.c         \
                                        stream/realrtsp/real.c          \
                                        stream/realrtsp/rmff.c          \
                                        stream/realrtsp/sdpplin.c       \
                                        stream/realrtsp/xbuffer.c       \

SRCS_COMMON-$(PNG)                   += libmpcodecs/vd_mpng.c
SRCS_COMMON-$(POSTPROC)              += libmpcodecs/vf_pp.c
SRCS_COMMON-$(PRIORITY)              += osdep/priority.c
SRCS_COMMON-$(PVR)                   += stream/stream_pvr.c
SRCS_COMMON-$(QTX_CODECS)            += libmpcodecs/ad_qtaudio.c        \
                                        libmpcodecs/vd_qtvideo.c
SRCS_COMMON-$(RADIO)                 += stream/stream_radio.c
SRCS_COMMON-$(RADIO_CAPTURE)         += stream/audio_in.c
SRCS_COMMON-$(REAL_CODECS)           += libmpcodecs/ad_realaud.c        \
                                        libmpcodecs/vd_realvid.c
SRCS_COMMON-$(SPEEX)                 += libmpcodecs/ad_speex.c
SRCS_COMMON-$(STREAM_CACHE)          += stream/cache2.c
SRCS_COMMON-$(TV)                    += stream/frequencies.c            \
                                        stream/stream_tv.c              \
                                        stream/tv.c                     \
                                        stream/tvi_dummy.c
SRCS_COMMON-$(TV_BSDBT848)           += stream/tvi_bsdbt848.c
SRCS_COMMON-$(TV_DSHOW)              += stream/tvi_dshow.c              \
                                        loader/dshow/guids.c            \
                                        loader/dshow/mediatype.c        \

SRCS_COMMON-$(TV_V4L1)               += stream/tvi_v4l.c                \
                                        stream/audio_in.c
SRCS_COMMON-$(TV_V4L2)               += stream/tvi_v4l2.c               \
                                        stream/audio_in.c
SRCS_COMMON-$(UNRAR_EXEC)            += sub/unrar_exec.c
SRCS_COMMON-$(VCD)                   += stream/stream_vcd.c
SRCS_COMMON-$(VORBIS)                += libmpcodecs/ad_libvorbis.c      \
                                        libmpdemux/demux_ogg.c
SRCS_COMMON-$(VSTREAM)               += stream/stream_vstream.c

=== debian/changelog ===
mplayer-dmo (4:1.4.0~20210304.svn38299-dmo8) oldstable; urgency=medium

  * Update included ffmpeg to 4.4.6
  * Fixes various security issues: CVE-2023-49502, CVE-2025-0518,
    CVE-2025-22919

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 May 2025 14:52:10 +0200

mplayer-dmo (4:1.4.0~20210304.svn38299-dmo7) oldstable; urgency=medium

  * Update included ffmpeg to 4.4.5
  * Fixes various security issues: CVE-2024-7055, CVE-2023-47342 and
    CVE-2024-36617

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Jul 2024 08:41:04 +0200

mplayer-dmo (4:1.4.0~20210304.svn38299-dmo6) stable; urgency=medium

  * Update included ffmpeg to 4.4.4
    Fixes following vulnerabilities: CVE-2022-3109, CVE-2022-3341,
    CVE-2022-3964, CVE-2022-48434, CVE-2022-1475, CVE-2020-20446,
    CVE-2020-20453, CVE-2020-22015, CVE-2020-22019, CVE-2020-22021,
    CVE-2020-22037, CVE-2021-33815, CVE-2021-38114, CVE-2021-38171,
    CVE-2021-38291

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Apr 2023 11:18:46 +0200

mplayer-dmo (4:1.4.0~20210304.svn38299-dmo5) unstable; urgency=medium

  * Build with libx264-164

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 08:57:44 +0200

mplayer-dmo (4:1.4.0~20210304.svn38299-dmo4) unstable; urgency=medium

  * Update included ffmpeg to 4.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 30 May 2021 08:37:15 +0200

mplayer-dmo (4:1.4.0~20210304.svn38299-dmo3) unstable; urgency=medium

  * Build with libx264-163

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 May 2021 17:09:39 +0200

mplayer-dmo (4:1.4.0~20210304.svn38299-dmo2) unstable; urgency=medium

  * Build with libaom3

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Mar 2021 15:39:47 +0100

mplayer-dmo (4:1.4.0~20210304.svn38299-dmo1) unstable; urgency=medium

  * New svn release.
  * Don't build with libilbc for powerpc as libilbc doesn't build for this
    architecture.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Mar 2021 08:59:45 +0100

mplayer-dmo (4:1.4.0~20210224.svn38257-dmo1) unstable; urgency=medium

  * New svn release.
  * Update included ffmpeg to 4.3.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Feb 2021 22:53:43 +0100

mplayer-dmo (4:1.4.0~20210217.svn38253-dmo1) unstable; urgency=medium

  * New svn release.
  * Fix harmless error messages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Feb 2021 14:23:10 +0100

mplayer-dmo (4:1.4.0~20210210.svn38251-dmo1) unstable; urgency=medium

  * New svn release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 10 Feb 2021 08:58:54 +0100

mplayer-dmo (4:1.4.0~20200705.svn38192-dmo5) unstable; urgency=medium

  * Build with libilbc3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Jan 2021 15:04:43 +0100

mplayer-dmo (4:1.4.0~20200705.svn38192-dmo4) unstable; urgency=medium

  * Build with libdav1d5

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Nov 2020 09:27:09 +0100

mplayer-dmo (4:1.4.0~20200705.svn38192-dmo3) unstable; urgency=medium

  * Switch from freedb.freedb.org to gnudb.gnudb.org

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Oct 2020 09:17:36 +0200

mplayer-dmo (4:1.4.0~20200705.svn38192-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 4.3.1 fixes the following issues :
    CVE-2020-13904, CVE-2020-14212

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Jul 2020 14:49:55 +0200

mplayer-dmo (4:1.4.0~20200705.svn38192-dmo1) unstable; urgency=medium

  * New svn release.
  * Update included ffmpeg to 4.3 fixes the following issues :
    CVE-2019-13312, CVE-2019-13390, CVE-2019-15942, CVE-2019-17542,
    CVE-2020-12284,

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Jul 2020 06:49:49 +0200

mplayer-dmo (4:1.4-dmo12) unstable; urgency=medium

  * Update included ffmpeg to 4.2.3 fixes the following issues :
    CVE-2019-13312 and CVE-2020-12284

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Jun 2020 19:04:06 +0200

mplayer-dmo (4:1.4-dmo11) unstable; urgency=medium

  * Build with libx264-160

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Apr 2020 09:01:38 +0200

mplayer-dmo (4:1.4-dmo10) unstable; urgency=medium

  * Build with libdvdread8

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Apr 2020 00:58:20 +0200

mplayer-dmo (4:1.4-dmo9) unstable; urgency=medium

  * Fix FTBFS for powerpc/altivec.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2020 15:03:35 +0100

mplayer-dmo (4:1.4-dmo8) unstable; urgency=medium

  * Update included ffmpeg to 4.2.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Jan 2020 09:19:16 +0100

mplayer-dmo (4:1.4-dmo7) unstable; urgency=medium

  * Build with libx264-159

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Dec 2019 12:58:35 +0100

mplayer-dmo (4:1.4-dmo6) unstable; urgency=medium

  * Build with libdvdread7

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Nov 2019 07:40:47 +0100

mplayer-dmo (4:1.4-dmo5) unstable; urgency=medium

  * Rebuild against libx264-158

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Jul 2019 15:32:08 +0200

mplayer-dmo (4:1.4-dmo4) unstable; urgency=medium

  * Update included ffmpeg to 4.1.4 fixes CVE-2019-12730

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Jul 2019 11:37:55 +0200

mplayer-dmo (4:1.4-dmo3) unstable; urgency=medium

  * Rebuild against libcdio19

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Jun 2019 23:19:22 +0200

mplayer-dmo (4:1.4-dmo2) unstable; urgency=medium

  * Update version displayed by mplayer to 1.4 (was 1.3SVN-r38117)

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 Apr 2019 19:28:10 +0200

mplayer-dmo (4:1.4-dmo1) unstable; urgency=medium

  * New upstream release.



=== debian/control ===
Source: mplayer-dmo
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.mplayerhq.hu/
Standards-Version: 4.5.1
Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl
Build-Conflicts: libesd0-dev, libggiwmh0-dev, libggi2-dev, liboss4-salsa-dev, libopenjpeg-dev
Build-Depends: debhelper-compat (= 13), libncurses5-dev, awk, libopus-dev, libavutil-dev,
 liblirc-dev, libvorbis-dev, libsdl-image1.2-dev, libsctp-dev [linux-any],
 libmad0-dev, libasound2-dev [linux-any], liblzo2-dev, libfaad-dev, libdca-dev,
 libxvmc-dev, libjpeg62-turbo-dev, libaudiofile-dev, libsmbclient-dev, libfribidi-dev,
 libxv-dev, libgif-dev, libaa1-dev, quilt, vstream-client-dev (>= 1.2.1.1),
 libmp3lame-dev, libxvidcore-dev, libdv-dev, libcaca-dev, libcdio-paranoia-dev,
 liblivemedia-dev (>= 1:2013.01.15-dmo1), libfreetype-dev, libjack-jackd2-dev,
 libass-dev, libgl1-mesa-dev | libgl-dev, libopencore-amrwb-dev, libbs2b-dev,
 libxss-dev, libtheora-dev, libx264-dev (>= 3:0.146~), libglu1-mesa-dev,
 libfontconfig-dev, libaudio-dev, libmpcdec-dev, libvpx-dev (>= 1.4.0), libavformat-dev,
 libpulse-dev, libxxf86dga-dev, libjack-dev, ladspa-sdk, vstream-client-dev,
 libfaac-dev, libxinerama-dev, libtwolame-dev, libspeex-dev, libopenal-dev,
 yasm [i386 amd64 kfreebsd-i386 kfreebsd-amd64], libbluray-dev [linux-any],
 libenca-dev, liba52-0.7.4-dev, libgnutls28-dev, libegl1-mesa-dev, libilbc-dev [!powerpc],
 libdts-dev, libbz2-dev, libmng-dev, libopenjp2-7-dev, librtmp-dev, libmpg123-dev,
 libopencore-amrnb-dev, libvdpau-dev [amd64 i386], libdvdread-dev, libdvdnav-dev,
 libiso9660-dev (>= 0.83), libvorbisidec-dev, libgsm1-dev, libdav1d-dev,
 libavcodec-dev (>= 10:2.1.1), libmpeg2-4-dev, libvdpau-dev

Package: mplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: w32codecs (>= 1:20050412-0.1), libdvdcss, mplayer-doc, pulseaudio, jackd, nvidia-vdpau-driver
Conflicts: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, libconfhelper-perl, mplayer-gui
Replaces: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, mplayer-nogui
Description: Ultimate Movie Player For Linux
 It plays most mpeg, avi and asf files, supported by many native and win32
 DLL codecs. You can watch VCD, DVD and even DivX movies too. The other
 big feature of mplayer is the wide range of supported output drivers. It
 works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, but you can use SDL (and
 this way all drivers of SDL) and some lowlevel card-specific drivers (for
 Matrox/3dfx/SiS) too! Most of them supports software or hardware scaling,
 so you can enjoy movies in fullscreen.

Package: mencoder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: w32codecs (>= 1:20050412-0.1), libdvdcss, mplayer-doc, nvidia-vdpau-driver
Conflicts: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom
Replaces: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom, mplayer
Description: MPlayer's Movie Encoder
 A simple movie encoder, designed to encode MPlayer-playable movies
 (AVI/ASF/OGG/DVD/VCD/VOB/MPG/MOV/VIV/FLI/RM/NUV/NET) to other
 MPlayer-playable formats. It can encode with various codecs, like DivX4 (1
 or 2 passes), libavcodec, PCM/MP3/VBRMP3 audio. Also has stream copying and
 video resizing abilities.

Package: mplayer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for mplayer
 This package contains the documentation Chinese, English, French, German,
 Hungarian, Italian and Polish.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
	ifeq ($(NCPUS),-1)
		NCPUS:=1
	endif
	ifeq ($(NCPUS),0)
		NCPUS:=1
	endif
endif

# Don't remove, otherwise mplayer/mencoder doesn't build.
CFLAGS=

REVISION=1.4~svn38192

DEBIAN_VERSION=\#define VERSION \"$(REVISION)\"
DEBIAN_TITLE=\#define MP_TITLE \"MPlayer $(REVISION) (C) 2000-2020 MPlayer Team\\\n\"

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
	CONTROL=control.marillat
else
ifeq "$(DEB_HOST_ARCH)" "powerpc"
	CONTROL=control.powerpc
	FLAVOURS=-g4
else
	CONTROL=control.$(DEB_HOST_ARCH)
endif
endif

# Split up config options
CONFIG_DIRS=--prefix=/usr --confdir=/etc/mplayer --datadir=/usr/share/mplayer
CONFIG_MGA=--enable-xmga --enable-mga
CONFIG_3DFX=--enable-tdfxfb --enable-s3fb
#CONFIG_ZR=--enable-zr
CONFIG_CONTROL=--enable-joystick
CONFIG_AUDIO=--enable-libopencore_amrnb --enable-libopencore_amrwb \
	--disable-openal --disable-decoder=amrnb
CONFIG_XVMC=--enable-xvmc --with-xvmclib=XvMCW

CONFIG_MISC=--language=all --enable-menu \
	--enable-radio --enable-radio-capture --disable-sndio \
	--extra-libs="-ldl -lvorbisenc -lvorbis"

# Doesn't work 01/06/2012
#CONFIG_HARD=CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
#	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
#	CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS)" \
#	LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

CONFIG_HARD=--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)"

CONFIG_WIN32=--disable-win32dll

# Options common to all architectures
CONFIG_ARCH_INDEP=$(CONFIG_DIRS) $(CONFIG_MGA) $(CONFIG_CONTROL) \
	$(CONFIG_AUDIO) $(CONFIG_MISC) $(CONFIG_XVMC) --disable-png --disable-directfb

# Options common to all amd64 configurations
CONFIG_AMD64_ALL=$(CONFIG_ARCH_INDEP) $(CONFIG_3DFX) $(CONFIG_ZR)

# Options common to all i386 configurations
CONFIG_I386_ALL=$(CONFIG_ARCH_INDEP) $(CONFIG_WIN32) $(CONFIG_3DFX) $(CONFIG_ZR)

# Options common to all armel configurations
CONFIG_ARMEL_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all armhf configurations
CONFIG_ARMHF_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all arm64 configurations
CONFIG_ARM64_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all mipsel configurations
CONFIG_MIPSEL_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all powerpc configurations
CONFIG_PPC_ALL=$(CONFIG_ARCH_INDEP) --disable-gui --disable-win32dll

# Options common to all ppc64 configurations
CONFIG_PPC64_ALL=$(CONFIG_ARCH_INDEP) --disable-gui --disable-win32dll

CONFIGURE_MPLAYER=$(CONFIG_AMD64_ALL) --disable-gui --enable-runtime-cpudetection

# Doesn't work (10/07/08)
#CONFIGURE_PPC=$(CONFIG_PPC_ALL) --enable-runtime-cpudetection
CONFIGURE_PPC=$(CONFIG_PPC_ALL) --disable-altivec

CONFIGURE_G4=$(CONFIG_PPC_ALL) --enable-altivec

CONFIGURE_I386=$(CONFIG_I386_ALL) --disable-gui --enable-runtime-cpudetection --target=i586-linux

CONFIGURE_SPARC=$(CONFIG_SPARC_ALL) --disable-gui --disable-ffmpeg_a

CONFIGURE_IA64=$(CONFIG_IA64_ALL)

CONFIGURE_ALPHA=$(CONFIG_ALPHA_ALL) --disable-gui

CONFIGURE_HPPA=$(CONFIG_HPPA_ALL) --disable-gui

CONFIGURE_PPC64=$(CONFIG_PPC64_ALL) --disable-gui

CONFIGURE_ARMEL=$(CONFIG_ARMEL_ALL) --disable-ffmpeg_a

CONFIGURE_ARMHF=$(CONFIG_ARMHF_ALL) --disable-ffmpeg_a

CONFIGURE_ARM64=$(CONFIG_ARMHF_ALL) --disable-ffmpeg_a

CONFIGURE_MIPSEL=$(CONFIG_MIPSEL_ALL) --disable-ffmpeg_a

CONFIGURE_CUSTOM=$(CONFIG_I386_ALL)

%:
	dh $@ --with quilt

override_dh_auto_configure:
	cp debian/$(CONTROL) debian/control

	ln -s ffmpeg-4-4-6 ffmpeg
	-mkdir ffmpeg/ffbuild

ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
ifeq "$(DEB_HOST_ARCH)" "amd64"
	############################ amd64 ###############################

	./configure $(CONFIGURE_MPLAYER) $(CONFIG_HARD)

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

#	exit 1

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

endif	# amd64
endif	# marillat

ifeq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
ifeq "$(DEB_HOST_ARCH)" "powerpc"
	########################## generic powerpc #######################

	./configure $(CONFIGURE_PPC) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	perl -i -pe 's,-mtune=(\w+),-mtune=powerpc,' config.mak
	perl -i -pe 's,-mcpu=(\w+),-mcpu=powerpc,' config.mak
	perl -i -pe 's,-maltivec,-mno-altivec,' config.mak
	perl -i -pe 's,-mabi=altivec,-mabi=no-altivec,' config.mak

	perl -i -pe 's,#define HAVE_ALTIVEC 1,#undef HAVE_ALTIVEC,' config.h
	perl -i -pe 's,#define HAVE_ALTIVEC_H 1,#undef HAVE_ALTIVEC_H,' config.h
	perl -i -pe 's,HAVE_ALTIVEC   = yes,HAVE_ALTIVEC = no,' config.mak

	perl -i -pe 's,#define CONFIG_MOVIE_FILTER 0,#define CONFIG_MOVIE_FILTER 0\n#define HAVE_VSX 0,' config.h

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

	dh_installdirs -pmencoder usr/bin usr/share/man/man1

	mv debian/mplayer/usr/bin/mencoder debian/mencoder/usr/bin

	[ ! -f Makefile ] || $(MAKE) distclean

	######################## powerpc-g4  ###############################

	./configure $(CONFIGURE_G4) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	perl -i -pe 's,-mtune=(\w+),-mtune=7450,' config.mak
	perl -i -pe 's,-mcpu=(\w+),-mcpu=7450,' config.mak

	perl -i -pe 's,#define CONFIG_MOVIE_FILTER 0,#define CONFIG_MOVIE_FILTER 0\n#define HAVE_VSX 0,' config.h

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer-g4/usr \
	CONFDIR=$(CURDIR)/debian/mplayer-g4/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer-g4/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer-g4/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer-g4/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer-g4/usr/bin

	dh_installdirs -pmencoder-g4 usr/bin usr/share/man/man1

	mv debian/mplayer-g4/usr/bin/mencoder debian/mencoder-g4/usr/bin

#	exit 1

else	# powerpc
ifeq "$(DEB_HOST_ARCH)" "ppc64"
	############################ ppc64 ###############################

	./configure $(CONFIGURE_PPC64) $(CONFIG_HARD)

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	perl -i -pe 's,-mtune=(\w+),-mtune=G5,' config.mak
	perl -i -pe 's,-mcpu=(\w+),-mcpu=G5 -falign-loops=16,' config.mak

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

else	# ppc64
ifeq "$(DEB_HOST_ARCH)" "i386"
	############################ i386 ###############################

	./configure $(CONFIGURE_I386) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

	dh_installdirs -pmencoder usr/bin usr/share/man/man1

else	# i386
ifeq "$(DEB_HOST_ARCH)" "armel"
